package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.diagbot.entity.KlConcept;
import com.diagbot.entity.KlDrug;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.KlDrugServiceImpl;
import com.diagbot.util.DateUtil;
import com.diagbot.util.UserUtils;
import com.diagbot.vo.KlConceptSaveVO;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-04-13 10:41
 */
@Component
public class KlDrugFacade extends KlDrugServiceImpl {


    public boolean saveOrUpdateAll(KlConceptSaveVO klConceptSaveVO) {

        Date now = DateUtil.now();
        boolean res = false;
        if (null != klConceptSaveVO.getConceptId()) {
            //校验
            int countLis = this.count(new QueryWrapper<KlDrug>()
                    .eq("is_deleted", IsDeleteEnum.N.getKey())
                    .eq("concept_id", klConceptSaveVO.getConceptId()));
            if (countLis > 0) {
                UpdateWrapper<KlDrug> klDrugUpdate = new UpdateWrapper<>();
                klDrugUpdate.eq("is_deleted", IsDeleteEnum.N.getKey())
                        .eq("concept_id", klConceptSaveVO.getConceptId())
                        .set("gmt_modified", now)
                        .set("modifier", UserUtils.getCurrentPrincipleID())
                        .set("drug", klConceptSaveVO.getDrug());
                res = this.update(klDrugUpdate);
            } else {
                KlDrug klDrug = new KlDrug();
                klDrug.setConceptId(klConceptSaveVO.getConceptId());
                klDrug.setDrug(klConceptSaveVO.getDrug());
                klDrug.setGmtModified(now);
                klDrug.setModifier(UserUtils.getCurrentPrincipleID());
                res = this.save(klDrug);
            }
        } else {
            KlDrug klDrug = new KlDrug();
            klDrug.setConceptId(klConceptSaveVO.getConceptId());
            klDrug.setDrug(klConceptSaveVO.getDrug());
            klDrug.setGmtModified(now);
            klDrug.setModifier(UserUtils.getCurrentPrincipleID());
            res = this.save(klDrug);
        }

        return res;

    }

    public boolean saveAll(KlConcept klConceptPare, KlConceptSaveVO klConceptSaveVO) {
        Date now = DateUtil.now();
        KlDrug klDrug = new KlDrug();
        klDrug.setConceptId(klConceptPare.getId());
        klDrug.setDrug(klConceptSaveVO.getDrug());
        klDrug.setCreator(UserUtils.getCurrentPrincipleID());
        klDrug.setModifier(UserUtils.getCurrentPrincipleID());
        klDrug.setGmtCreate(now);
        klDrug.setGmtModified(now);
        return this.save(klDrug);
    }

}
