package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.NurseConfig;
import com.diagbot.vo.HosRelationNumPageVO;
import com.diagbot.vo.NurseConfigPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 护理映射表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2021-04-26
 */
public interface NurseConfigService extends IService<NurseConfig> {
    /**
     * 分页查询
     *
     * @param nurseConfigPageVO
     * @return
     */
    IPage<NurseConfig> getPage(@Param("nurseConfigPageVO") NurseConfigPageVO nurseConfigPageVO);

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO);
}