package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.ScaleConfig;
import com.diagbot.vo.HosRelationNumPageVO;
import com.diagbot.vo.ScaleConfigPageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 量表映射表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2021-04-13
 */
public interface ScaleConfigService extends IService<ScaleConfig> {
    /**
     * 分页查询
     *
     * @param scaleConfigPageVO
     * @return
     */
    IPage<ScaleConfig> getPage(@Param("scaleConfigPageVO") ScaleConfigPageVO scaleConfigPageVO);

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO);
}
