package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.NurseConfig;
import com.diagbot.mapper.NurseConfigMapper;
import com.diagbot.service.NurseConfigService;
import com.diagbot.vo.HosRelationNumPageVO;
import com.diagbot.vo.NurseConfigPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 护理映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-04-26
 */
@Service
public class NurseConfigServiceImpl extends ServiceImpl<NurseConfigMapper, NurseConfig> implements NurseConfigService {
    /**
     * 分页查询
     *
     * @param nurseConfigPageVO
     * @return
     */
    @Override
    public IPage<NurseConfig> getPage(@Param("nurseConfigPageVO") NurseConfigPageVO nurseConfigPageVO) {
        return baseMapper.getPage(nurseConfigPageVO);
    }

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    @Override
    public IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO) {
        return baseMapper.getRelationNumPage(hosRelationNumPageVO);
    }
}
