package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.HosRelationNumDTO;
import com.diagbot.entity.ScaleConfig;
import com.diagbot.mapper.ScaleConfigMapper;
import com.diagbot.service.ScaleConfigService;
import com.diagbot.vo.HosRelationNumPageVO;
import com.diagbot.vo.ScaleConfigPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 量表映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-04-13
 */
@Service
public class ScaleConfigServiceImpl extends ServiceImpl<ScaleConfigMapper, ScaleConfig> implements ScaleConfigService {
    /**
     * 分页查询
     *
     * @param scaleConfigPageVO
     * @return
     */
    @Override
    public IPage<ScaleConfig> getPage(@Param("scaleConfigPageVO") ScaleConfigPageVO scaleConfigPageVO) {
        return baseMapper.getPage(scaleConfigPageVO);
    }

    /**
     * 各医院映射关系数列表
     *
     * @param hosRelationNumPageVO
     * @return
     */
    @Override
    public IPage<HosRelationNumDTO> getRelationNumPage(@Param("hosRelationNumPageVO") HosRelationNumPageVO hosRelationNumPageVO) {
        return baseMapper.getRelationNumPage(hosRelationNumPageVO);
    }
}